# -*- coding: utf-8 -*-
import os

import pytest


@pytest.fixture(autouse=True)
def setup_environment(responses):
    """Setup needed environment variables """

    # Allow accessing remote API schemas
    # defaulting to the prod environment
    schema_url = os.environ.get(
        "ARKINDEX_API_SCHEMA_URL",
        "https://arkindex.teklia.com/api/v1/openapi/?format=openapi-json",
    )
    responses.add_passthru(schema_url)

    # Setup a fake worker version ID
    os.environ["WORKER_VERSION_ID"] = "1234-{{ cookiecutter.slug }}"
